Subject: bug#16053: [PATCH 1/2] "-Wall -Wextra -Werror" compilation patches - part 1/2

From: Doron Tsur <[email-masked]>
Date: Mon, 16 Dec 2013 15:32:55 +0000

I personally prefer code compiled with Wextra, but I guess it is open for discussion,

You have my patch available in case you wish to inherit changes from there.

-----Original Message-----
From: Phillip Susi [mailto:[email-masked]] 
Sent: Monday, December 16, 2013 4:18 PM
To: Doron Tsur; [email-masked]
Cc: Itai Baz
Subject: Re: bug#16053: [PATCH 1/2] "-Wall -Wextra -Werror" compilation patches - part 1/2

On 12/15/2013 11:39 PM, Doron Tsur wrote:
> It should allow users to check new code and possible grub extension in 
> a pedantic manner easily.

If you want to compile new code with -Wextra, that could be a nice check I suppose, but I don't think the whole code base needs to compile with -Wextra + -Werror, especially if it means making the code less readable.  I believe the reason there is a -Wextra is because those warnings are considered so silly and annoying to code around that they aren't wanted for -Wall -Werror.